List Apple enrollment tokens
Required Permission: mdm.apple.enrollmentToken.list
Retrieves a paginated list of Apple device enrollment tokens configured for the organization.
Request
authorization
Authorization: Bearer <token>
Responses
application/json
{
"status": true,
"data": {
"items": [
{
"id": "698f3bde457fafa13d088791",
"organization": "698f3bde457fafa13d088791",
"admEnterprise": "698f3bde457fafa13d088791",
"admDevice": "698f3bde457fafa13d088791",
"mdmUser": {
"id": "698f3bde457fafa13d088791",
"email": "[email protected]"
},
"displayName": "John Doe - iPhone 15 Pro",
"tags": [
"sales",
"executive",
"iphone"
],
"state": "PENDING",
"config": {},
"enroll": {
"serverExpirationDate": "2026-03-15T23: 59:59Z",
"mobileConfigSigned": true
},
"type": "user",
"subType": "standard",
"updatedAt": "2026-02-10T14: 22:00Z",
"createdAt": "2026-01-15T10: 30:00Z",
"expireAt": "2026-02-20T10: 30:00Z",
"enrollmentLink": "https://app.applivery.com/enroll/apple/ABC123DEF456",
"enrollCode": "ABC123DEF",
"admPolicy": null,
"admPolicyAssignments": [
{
"admPolicyId": "698f3bde457fafa13d088791",
"admPolicy": {},
"priority": 10
}
],
"admVppLocation": {
"id": "698f3bde457fafa13d088791",
"name": "US Corporate VPP",
"config": {
"countryISO2ACode": "US",
"defaultPlatform": "ios",
"locationName": "US Corporate Location"
}
},
"summary": {
"expirationTimestamp": "2026-02-20T10: 30:00Z"
},
"profiles": [
{
"id": "string",
"organization": "string",
"admEnterprise": "string",
"admPolicy": "string",
"targetType": "device",
"name": "string",
"config": {},
"certificates": [
{
"mdmAssetId": "string",
"format": {
"uuid": "uuid",
"base64": "base64"
},
"location": "string",
"password": "string",
"allowAllAppsAccess": true,
"keyIsExtractable": true
}
],
"type": "attached",
"UUID": "string",
"version": 0,
"updatedAt": "2024-01-01T00: 00:00Z",
"createdAt": "2024-01-01T00: 00:00Z",
"assignedTo": {
"policies": [
{
"id": "string",
"name": "string"
}
],
"devices": [
{
"id": "string",
"displayName": "string"
}
]
},
"useCustomFileVaultCertificates": true,
"parentAdmProfileId": "string"
}
],
"applications": [
{
"admApplication": "string",
"managed": true,
"vpp": true,
"iOSApp": true,
"configuration": {},
"action": "forceInstall",
"actionStatus": "forceInstall",
"scripts": {
"preInstall": "string",
"postInstall": "string",
"audit": "string",
"enforce": "string",
"runner": "string"
},
"updatePolicy": {}
}
],
"sendEmail": true,
"emailText": "Please enroll your device by following the instructions in this email.",
"configuration": {
"skipPersonalInfo": true
},
"segmentId": "1"
}
],
"totalDocs": 0,
"limit": 0,
"hasPrevPage": true,
"hasNextPage": true,
"page": 0,
"totalPages": 0,
"prevPage": 0,
"nextPage": 0,
"lean": true
}
}
application/json
{
"status": false,
"error": {
"code": 4002,
"message": "No auth token"
}
}
application/json
{
"status": false,
"error": {
"code": 3001,
"message": "Entity not found"
}
}